
<?php

$restaurant_fast_food_tp_theme_css = '';

//theme-color
$restaurant_fast_food_tp_color_option = get_theme_mod('restaurant_fast_food_tp_color_option');
// 1st color
$restaurant_fast_food_tp_color_option = get_theme_mod('restaurant_fast_food_tp_color_option', '#F49B3F');
if ($restaurant_fast_food_tp_color_option) {
	$restaurant_fast_food_tp_theme_css .= ':root {';
	$restaurant_fast_food_tp_theme_css .= '--color-primary1: ' . esc_attr($restaurant_fast_food_tp_color_option) . ';';
	$restaurant_fast_food_tp_theme_css .= '}';
}
//hover color
$restaurant_fast_food_tp_color_option_link = get_theme_mod('restaurant_fast_food_tp_color_option_link');

if($restaurant_fast_food_tp_color_option_link != false){
$restaurant_fast_food_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover,span.meta-nav:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.more-btn a:hover,.book-tkt-btn a.bar-btn i:hover,.page-numbers:hover,#slider button[type="submit"]:hover,.wc-block-cart__submit-container a:hover ,.main-navigation ul ul,.woocommerce ul.products li.product .onsale, .woocommerce span.onsale,#product_cat_slider .category-dot,#slider, #footer, #product_cat_slider .product_cat_box .product-color, #product_cat_slider .product_cat_box:hover .product-img::after{';
	$restaurant_fast_food_tp_theme_css .='background: '.esc_attr($restaurant_fast_food_tp_color_option_link).';';
$restaurant_fast_food_tp_theme_css .='}';
}
if($restaurant_fast_food_tp_color_option_link != false){
$restaurant_fast_food_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover, .search-box i:hover,#footer li a:hover, .page-box h4 a:hover, .box-content li a:hover ,.post_tag a:hover,.content-area a:hover,#footer p.wp-block-tag-cloud a:hover,#footer .tagcloud a:hover{';
	$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_tp_color_option_link).';';
$restaurant_fast_food_tp_theme_css .='}';
}
if($restaurant_fast_food_tp_color_option_link != false){
$restaurant_fast_food_tp_theme_css .='#footer .tagcloud a:hover, .readmore-btn a:hover,p.wp-block-tag-cloud a:hover, .post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover,.main-navigation .current_page_ancestor > a,#footer p.wp-block-tag-cloud a:hover{';
	$restaurant_fast_food_tp_theme_css .='border-color: '.esc_attr($restaurant_fast_food_tp_color_option_link).';';
$restaurant_fast_food_tp_theme_css .='}';
}
$restaurant_fast_food_tp_footer_bg_color_option = get_theme_mod('restaurant_fast_food_tp_footer_bg_color_option');

if($restaurant_fast_food_tp_color_option_link != false){
$restaurant_fast_food_tp_theme_css .='@media screen and (max-width:1000px){';
$restaurant_fast_food_tp_theme_css .='.sidenav{';
	$restaurant_fast_food_tp_theme_css .='background: '.esc_attr($restaurant_fast_food_tp_color_option_link).';';
$restaurant_fast_food_tp_theme_css .='} }';
}
if($restaurant_fast_food_tp_footer_bg_color_option != false){
$restaurant_fast_food_tp_theme_css .='#footer{';
	$restaurant_fast_food_tp_theme_css .='background: '.esc_attr($restaurant_fast_food_tp_footer_bg_color_option).';';
$restaurant_fast_food_tp_theme_css .='}';
}

// logo tagline color
$restaurant_fast_food_site_tagline_color = get_theme_mod('restaurant_fast_food_site_tagline_color');

if($restaurant_fast_food_site_tagline_color != false){
$restaurant_fast_food_tp_theme_css .='.logo h1 a, .logo p a{';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_site_tagline_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

$restaurant_fast_food_logo_tagline_color = get_theme_mod('restaurant_fast_food_logo_tagline_color');
if($restaurant_fast_food_logo_tagline_color != false){
$restaurant_fast_food_tp_theme_css .='p.site-description{';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_logo_tagline_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

// footer widget title color
$restaurant_fast_food_footer_widget_title_color = get_theme_mod('restaurant_fast_food_footer_widget_title_color');
if($restaurant_fast_food_footer_widget_title_color != false){
$restaurant_fast_food_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_footer_widget_title_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

// copyright text color
$restaurant_fast_food_footer_copyright_text_color = get_theme_mod('restaurant_fast_food_footer_copyright_text_color');
if($restaurant_fast_food_footer_copyright_text_color != false){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_footer_copyright_text_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

// header image title color
$restaurant_fast_food_header_image_title_text_color = get_theme_mod('restaurant_fast_food_header_image_title_text_color');
if($restaurant_fast_food_header_image_title_text_color != false){
$restaurant_fast_food_tp_theme_css .='.box-text h2{';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_header_image_title_text_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

// menu color
$restaurant_fast_food_menu_color = get_theme_mod('restaurant_fast_food_menu_color');
if($restaurant_fast_food_menu_color != false){
$restaurant_fast_food_tp_theme_css .='.main-navigation a{';
$restaurant_fast_food_tp_theme_css .='color: '.esc_attr($restaurant_fast_food_menu_color).';';
$restaurant_fast_food_tp_theme_css .='}';
}

//Footer Font Weight
$restaurant_fast_food_footer_copyright_title_font_weight = get_theme_mod( 'restaurant_fast_food_footer_copyright_title_font_weight','');
if($restaurant_fast_food_footer_copyright_title_font_weight == '100'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 100;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '200'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 200;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '300'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 300;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '400'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 400;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '500'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 500;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '600'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 600;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '700'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 700;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '800'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 800;';
$restaurant_fast_food_tp_theme_css .='}';
}else if($restaurant_fast_food_footer_copyright_title_font_weight == '900'){
$restaurant_fast_food_tp_theme_css .='#footer .site-info p {';
    $restaurant_fast_food_tp_theme_css .='font-weight: 900;';
$restaurant_fast_food_tp_theme_css .='}';
}
